﻿Imports ThinkGeo.MapSuite
Imports ThinkGeo.MapSuite.Layers
Imports ThinkGeo.MapSuite.Styles
Imports ThinkGeo.MapSuite.Shapes
Imports ThinkGeo.MapSuite.Drawing
Imports ThinkGeo.MapSuite.WinForms

Public Class Form1
	Private moShapeFile As ShapeFileFeatureLayer
	Private Const csShapePath As String = "..\..\Data\Rice Tract Subset.shp"
	Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
		moShapeFile = New ShapeFileFeatureLayer(csShapePath)
		With moShapeFile
			.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.SimpleColors.Blue, 1)
			.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
		End With
		Dim oOverlay As New LayerOverlay
		oOverlay.Layers.Add(moShapeFile)

		With WinformsMap1.EditOverlay
			.CanAddVertex = False
			.CanDrag = False
			.CanRemoveVertex = False
			.CanReshape = True
			.CanResize = False
			.CanRotate = False
			.VertexDraggingMode = VertexDraggingMode.Single
		End With


		moShapeFile.Open()
		Dim oFeature As Feature = moShapeFile.QueryTools.GetFeatureById(1, ReturningColumnsType.AllColumns)

		'WinformsMap1.Overlays.Add(oOverlay)
		WinformsMap1.MapUnit = GeographyUnit.Meter

		WinformsMap1.CurrentExtent = oFeature.GetBoundingBox
		mAddFeatureToEditOverlay(oFeature)
		WinformsMap1.Refresh()


	End Sub
	Private Sub mAddFeatureToEditOverlay(oFeature As Feature)
		Dim oEditOverlay As EditInteractiveOverlay = WinformsMap1.EditOverlay

		With oEditOverlay
			.EditShapesLayer.InternalFeatures.Clear()
			.EditShapesLayer.InternalFeatures.Add(oFeature)
			.CalculateAllControlPoints()
		End With
	End Sub
End Class
